import request from '@/utils/request'

// 查询支部活动预算列表
export function listActivitybudget(query) {
  return request({
    url: '/branch/activitybudget/list',
    method: 'get',
    params: query
  })
}

// 查询支部活动预算详细
export function getActivitybudget(budgetId) {
  return request({
    url: '/branch/activitybudget/' + budgetId,
    method: 'get'
  })
}

// 新增支部活动预算
export function addActivitybudget(data) {
  return request({
    url: '/branch/activitybudget',
    method: 'post',
    data: data
  })
}

// 修改支部活动预算
export function updateActivitybudget(data) {
  return request({
    url: '/branch/activitybudget',
    method: 'put',
    data: data
  })
}

// 删除支部活动预算
export function delActivitybudget(budgetId) {
  return request({
    url: '/branch/activitybudget/' + budgetId,
    method: 'delete'
  })
}
